# class DBus::IntrospectXMLParser::NokogiriParser

### Public Class Methods

new(xml) click to toggle source

    # File lib/dbus/xml.rb, line 67
    def initialize(xml)
      @doc = Nokogiri.XML(xml)
    end

### Public Instance Methods

each(path, &block) click to toggle source

    # File lib/dbus/xml.rb, line 70
    def each(path, &block)
      @doc.search("//#{path}").each { |node| block.call NokogiriNode.new(node) }
    end